Subject: RE: [Isis-wg] draft-raggarwa-isis-cap-00.txt

From: Jeff Parker <[email-masked]>
Date: Wed, 2 Jul 2003 15:58:08 -0400

>     4             IS-IS graceful restart capable [4]
> 
> Not needed. Restart TLV must always be included in IIHs if 
> the capability is supported

But the LSP has a network-wide scope, so anyone can see,
even if they are not on the link.

>     6             IS-IS wide metric processing capable [3]
>     7             IS-IS short metric processing capable [1]
> 
> For these two, the capability is not needed since you can 
> deduce that from the TLVs present

I think this gets back to what these mean:
	I am sending these
	I could send these, if I wanted to
	I would know what to do if you sent them

If think the bit means the last two, not the first, this 
would be helpful
 
>     8             IS-IS hmac-md5 authentication capable [5]
> 
> Not needed.

This falls under both points above
	Could be using in IIH, wouldn't be seen off-link
	I might be able to use it, even if I'm not sending

>     10            IS-IS point-to-point over LAN [7]
> 
> ??? Maybe this is useful...but if one side supports this and another 
> doesn't the adjacency won't come up. I don't think this is 
> very hard to 
> debug on any system with useful event logging, but maybe...

I agree that this is going to come down to looking at logs,
but this is another place where remote inspection of
TLVs might clue you in to an incompatibility.

- jeff parker

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg